cascading.stats

## Class FlowNodeStats

- java.lang.Object
- - cascading.stats.CascadingStats<FlowSliceStats>
  - - cascading.stats.FlowNodeStats

- All Implemented Interfaces:
    ProvidesCounters, java.io.Serializable
  Direct Known Subclasses:
    BaseCachedNodeStats

      public abstract class FlowNodeStats
      extends CascadingStats<FlowSliceStats>

  Class FlowNodeStats collects `FlowNode` specific statistics.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.stats.CascadingStats

      `CascadingStats.Status, CascadingStats.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `hasCapturedFinalDetail`

    - ### Fields inherited from class cascading.stats.CascadingStats

      `clientState, finishedTime, lastCaptureDetail, listeners, name, pendingTime, runTime, startTime, STATS_COMPLETE_CHILD_DETAILS_BLOCK_DURATION, STATS_STORE_INTERVAL, status, submitTime, throwable, throwableTrace`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FlowNodeStats(FlowNode flowNode, ClientState clientState)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowNode` | `getFlowNode()`
    `java.lang.String` | `getID()` Method getID returns the ID of this CascadingStats object.
    `abstract java.lang.String` | `getKind()`
    `int` | `getOrdinal()`
    `protected ProcessLogger` | `getProcessLogger()`
    `CascadingStats.Type` | `getType()`
    `boolean` | `hasCapturedFinalDetail()`
    `abstract void` | `recordChildStats()`
    `void` | `recordInfo()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class cascading.stats.CascadingStats

      `addListener, captureDetail, captureDetail, cleanup, fireListeners, getChildren, getChildWith, getCounterGroupsMatching, getCountersFor, getCurrentDuration, getDuration, getFinishedTime, getName, getPendingTime, getPrefix, getRunTime, getStartTime, getStatsString, getStatus, getSubmitTime, getThrowable, getThrowableTrace, isDetailStale, isEngaged, isFailed, isFinished, isPending, isRunning, isSkipped, isStarted, isStopped, isSubmitted, isSuccessful, logDebug, logError, logError, logInfo, logWarn, markDetailCaptured, markFailed, markFailed, markFailed, markFailed, markFinishedTime, markPending, markPendingTime, markRunning, markRunTime, markSkipped, markStarted, markStartedThenRunning, markStartTime, markStartToRunTime, markStopped, markSubmitted, markSubmitTime, markSuccessful, prepare, recordStats, removeListener, setStatsStoreInterval`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface cascading.stats.ProvidesCounters

      `getCounterGroups, getCountersFor, getCounterValue, getCounterValue, getLastSuccessfulCounterFetchTime`

- - ### Field Detail

    - #### hasCapturedFinalDetail

          protected boolean hasCapturedFinalDetail

  - ### Constructor Detail

    - #### FlowNodeStats

          protected FlowNodeStats(FlowNode flowNode,
                       ClientState clientState)

  - ### Method Detail

    - #### getKind

          public abstract java.lang.String getKind()

    - #### getProcessLogger

          protected ProcessLogger getProcessLogger()

      Specified by:
        `getProcessLogger` in class `CascadingStats<FlowSliceStats>`

    - #### getID

          public java.lang.String getID()

      Description copied from class: `CascadingStats`
      Method getID returns the ID of this CascadingStats object.
      Specified by:
        `getID` in class `CascadingStats<FlowSliceStats>`
      Returns:
        the ID (type Object) of this CascadingStats object.

    - #### getType

          public CascadingStats.Type getType()

      Specified by:
        `getType` in class `CascadingStats<FlowSliceStats>`

    - #### getFlowNode

          public FlowNode getFlowNode()

    - #### getOrdinal

          public int getOrdinal()

    - #### recordInfo

          public void recordInfo()

      Specified by:
        `recordInfo` in class `CascadingStats<FlowSliceStats>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `CascadingStats<FlowSliceStats>`

    - #### recordChildStats

          public abstract void recordChildStats()

    - #### hasCapturedFinalDetail

          public boolean hasCapturedFinalDetail()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.